#!/bin/bash 

if [[ $(id -u) -eq 0 ]]; then
  echo "Running as root is not supported. Unable to launch. Launch as a non-root user and try again. Exiting..."
  exit 1
fi

SCRIPT=$(readlink -f "$0")
readonly SCRIPT_NAME="${SCRIPT##*/}"
readonly SCRIPT_DIR=$(cd "${SCRIPT:0:${#SCRIPT} - ${#SCRIPT_NAME}}"; pwd)
readonly APP_DIR="$(cd "${SCRIPT_DIR}/.."; pwd)"

export SWT_GTK3=0

source "${APP_DIR}/install.vars"

if [[ ! -d "${HOME}/.code42/log" ]]; then
   mkdir -p "${HOME}/.code42/log"
fi

exec "${APP_DIR}/electron/code42" & > "${HOME}/.code42/log/ui_output.log" 2> "${HOME}/.code42/log/ui_error.log"
